package org.dromara.common.core.domain.vo;

import lombok.Data;

/**
 * @author lcj
 * @date 2025/3/19 11:40
 */
@Data
public class IdAndNameVO {

    /**
     * id
     */
    private Long id;

    /**
     * 名称
     */
    private String name;

    /**
     * 构建
     *
     * @param id   id
     * @param name 名称
     * @return {@link IdAndNameVO}
     */
    public static IdAndNameVO build(Long id, String name) {
        IdAndNameVO idAndNameVO = new IdAndNameVO();
        idAndNameVO.setId(id);
        idAndNameVO.setName(name);
        return idAndNameVO;
    }

}
